#ifndef BASIC_HPP
#define BASIC_HPP

//------------------------------------------------------------------------

// Set the name of the application
#define PRODUCT "Simple Notebook Sample"

// Set the version of the application
#define VERSION "1.0"

// Set the year of creation of the application
#define YEAR "1998"

// Set the email address
#define EMAIL "stephb7@usa.net"

//------------------------------------------------------------------------

inline ULONG InfoBox( const char *text )
{
     // Display an information box

     return WinMessageBox(HWND_DESKTOP,
                   HWND_DESKTOP,
                   text,
                   "Information",
                   0,
                   MB_OK | MB_INFORMATION | MB_MOVEABLE);
}

//------------------------------------------------------------------------

inline ULONG ErrorBox( const char *text )
{
     // Display an error box

     return WinMessageBox(HWND_DESKTOP,
                   HWND_DESKTOP,
                   text,
                   "Error",
                   0,
                   MB_OK | MB_ERROR | MB_MOVEABLE);
}

//------------------------------------------------------------------------
// Define user messages

#define WM_VERIFYSHUTDOWN WM_USER
#define WM_VALIDATE       WM_USER+1

//------------------------------------------------------------------------

#endif // BASIC_HPP
